#!/usr/bin/python3
# The script helps to clean using of coverage module in tests.
# Distributed under the MIT License (MIT)
# Copyright (C) 2024 Alexandr Shashkin

import re
import sys
from pathlib import Path

pattern = re.compile(r'\s*"-m",\s*"coverage",\s*"run",', flags=re.DOTALL)

if len(sys.argv) != 2:
    raise Exception(f"expected 1 argument, received {len(sys.argv) - 1 }")
if not (testdir := Path(sys.argv[1])).is_dir():
    raise Exception("given directory doesn't exist")
for file in testdir.rglob("*.py"):
    file.write_text(pattern.sub("", file.read_text()))
